'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _recast = require('recast');

var _reactDocgen = require('react-docgen');

function componentNameHandler(documentation, path) {
  var className = null;

  if (_reactDocgen.utils.isReactComponentClass(path)) {
    var node = path.node;

    if (_recast.types.namedTypes.ClassDeclaration.check(node)) {
      className = _reactDocgen.utils.getNameOrValue(path.get('id', 'name'));
    }
  }

  if (className) {
    documentation.set('name', className);
  }
}

exports.default = componentNameHandler;